Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.repository
Class ProfileMeta

    java.lang.Object
      org.pentaho.di.repository.ProfileMeta

    public class ProfileMeta

extends Object

Constructor Summary
`ProfileMeta()`
`ProfileMeta(Repository rep, long id_profile)`
`ProfileMeta(String name, String description)`

Method Summary
`void` | `addPermission(int p, PermissionMeta permission)`
`void` | `addPermission(PermissionMeta permission)`
`org.pentaho.di.core.RowMetaAndData` | `fillTableRow()`
`String` | `getDescription()`
`long` | `getID()`
`String` | `getName()`
`PermissionMeta` | `getPermission(int i)`
`int` | `indexOfPermission(PermissionMeta permission)`
`boolean` | `isAdministrator()`
`boolean` | `isReadonly()`
`int` | `nrPermissions()`
`void` | `removeAllPermissions()`
`void` | `removePermission(int i)`
`boolean` | `saveRep(Repository rep)`
`void` | `setDescription(String description)`
`void` | `setID(long id)`
`void` | `setName(String name)`
`boolean` | `useJobs()`
`boolean` | `useSchemas()`
`boolean` | `useTransformations()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileMeta

    public ProfileMeta(String name,
                       String description)

### ProfileMeta

    public ProfileMeta()

### ProfileMeta

    public ProfileMeta(Repository rep,
                       long id_profile)
                throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### saveRep

    public boolean saveRep(Repository rep)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### fillTableRow

    public org.pentaho.di.core.RowMetaAndData fillTableRow()

### setName

    public void setName(String name)

### getName

    public String getName()

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### addPermission

    public void addPermission(PermissionMeta permission)

### addPermission

    public void addPermission(int p,
                              PermissionMeta permission)

### getPermission

    public PermissionMeta getPermission(int i)

### nrPermissions

    public int nrPermissions()

### removePermission

    public void removePermission(int i)

### removeAllPermissions

    public void removeAllPermissions()

### indexOfPermission

    public int indexOfPermission(PermissionMeta permission)

### getID

    public long getID()

### setID

    public void setID(long id)

### isReadonly

    public boolean isReadonly()

### isAdministrator

    public boolean isAdministrator()

### useTransformations

    public boolean useTransformations()

### useJobs

    public boolean useJobs()

### useSchemas

    public boolean useSchemas()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD